% imagegamma(a,b,Z, gamma)
% 
% ------------------------------------------------------------------------
% INPUTS:
% -----------------------------------------------------------------------
% a: vector representing the real-parts of region in complex plane to be
% plotted. Must be arranged in increasing order, i.e. smallest number is
% first number, largest is last
%
% b: vector representing the imaginary-parts of region in complex plane to
% be plotted. As with a, must be arranged in increasing order.
%
% Z: matrix representing the value of the complex-valued function. Z must 
% be a matrix of real-numbers, i.e. it's entries cannot be complex-valued. 
%
% gamma: paramter that defines nonlinear scaling of Z to be used in imagesc
%
%
% ------------------------------------------------------------------------
% OUTPUTS:
% ------------------------------------------------------------------------
% A 2-d image repesnting the values of the complex-function on the complex
% plane. 
%--------------------------------------------------------------------------

function imagegamma(a,b,Z, gamma)

imagesc(a,b,atan(gamma*Z));
axis xy;
%set(gca,'YDir', 'normal'); -- this is another way to do it
colormap(jet(256)); %use all 256 colors
xlabel('Re(z)');
ylabel('Im(z)');


